Bug 29093 - Article requests: Checkbox for table of contents
Summary: Article requests: Checkbox for table of contents
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 29182
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-23 12:17 UTC by Marcel de Rooy
Modified: 2021-10-22 15:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch set adds a new article request column for a request to copy or scan table of contents.
Version(s) released in:
21.11.00


Attachments
Bug 29093: Database revision for article_requests.toc_request (1.98 KB, patch)
2021-09-23 13:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: {DO NOT PUSH] DBIx schema changes (3.69 KB, patch)
2021-09-23 13:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Interface changes (9.82 KB, patch)
2021-09-23 13:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Database revision for article_requests.toc_request (1.99 KB, patch)
2021-09-24 16:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 29093: {DO NOT PUSH] DBIx schema changes (3.70 KB, patch)
2021-09-24 16:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 29093: Interface changes (9.83 KB, patch)
2021-09-24 16:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 29093: Database revision for article_requests.toc_request (2.04 KB, patch)
2021-09-29 11:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29093: Interface changes (9.88 KB, patch)
2021-09-29 11:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29093: (QA follow-up) Adding two hover texts (2.56 KB, patch)
2021-09-29 11:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Database revision for article_requests.toc_request (2.19 KB, patch)
2021-10-06 11:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Interface changes (9.98 KB, patch)
2021-10-06 11:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: (QA follow-up) Adding two hover texts (2.56 KB, patch)
2021-10-06 11:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[DO NOT PUSH] DBIx schema changes (1.48 KB, patch)
2021-10-06 11:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Database revision for article_requests.toc_request (2.19 KB, patch)
2021-10-06 12:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: Interface changes (9.98 KB, patch)
2021-10-06 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: (QA follow-up) Adding two hover texts (2.56 KB, patch)
2021-10-06 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: (follow-up) Fix the all fields empty-warning (1.56 KB, patch)
2021-10-06 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29093: (QA follow-up) Rebasing issue (1.55 KB, patch)
2021-10-06 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
DBIx schema changes (1.47 KB, patch)
2021-10-06 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-09-23 12:17:32 UTC
If you allow copying or scanning parts of books, a very common question is: I would like to receive a copy/scan of the table of contents.
Comment 1 Marcel de Rooy 2021-09-23 13:51:06 UTC
Created attachment 125190 [details] [review]
Bug 29093: Database revision for article_requests.toc_request

Test plan:
Run dbrev or new install.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2021-09-23 13:51:10 UTC
Created attachment 125191 [details] [review]
Bug 29093: {DO NOT PUSH] DBIx schema changes

Note: Pending table changes in PQA.
Comment 3 Marcel de Rooy 2021-09-23 13:51:15 UTC
Created attachment 125192 [details] [review]
Bug 29093: Interface changes

Show the TOC checkbox on OPAC and staff.

Test plan:
Add new article request on OPAC or staff. Tick checkbox.
Verify if TOC is Yes on opac-user or staff patron details.
Check the list view on circ/article-requests.pl.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 David Nind 2021-09-24 16:44:45 UTC
Created attachment 125288 [details] [review]
Bug 29093: Database revision for article_requests.toc_request

Test plan:
Run dbrev or new install.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2021-09-24 16:44:53 UTC
Created attachment 125289 [details] [review]
Bug 29093: {DO NOT PUSH] DBIx schema changes

Note: Pending table changes in PQA.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2021-09-24 16:45:14 UTC
Created attachment 125290 [details] [review]
Bug 29093: Interface changes

Show the TOC checkbox on OPAC and staff.

Test plan:
Add new article request on OPAC or staff. Tick checkbox.
Verify if TOC is Yes on opac-user or staff patron details.
Check the list view on circ/article-requests.pl.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Marcel de Rooy 2021-09-27 06:07:55 UTC
(In reply to David Nind from comment #6)
> Signed-off-by: David Nind <david@davidnind.com>

Thx David
Comment 8 Nick Clemens 2021-09-29 11:10:40 UTC
Created attachment 125448 [details] [review]
Bug 29093: Database revision for article_requests.toc_request

Test plan:
Run dbrev or new install.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Nick Clemens 2021-09-29 11:10:44 UTC
Created attachment 125449 [details] [review]
Bug 29093: Interface changes

Show the TOC checkbox on OPAC and staff.

Test plan:
Add new article request on OPAC or staff. Tick checkbox.
Verify if TOC is Yes on opac-user or staff patron details.
Check the list view on circ/article-requests.pl.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Nick Clemens 2021-09-29 11:12:33 UTC
A few things to mention, not blockers:
1 - The DBIC patch includes changes from other bugs, I had to generate my own for testing
2 - Why TINYINT(4) - it seems to be treated as a TINYINT(1) / Boolean?
3 - While it makes display easier, is TOC friendly for translations? It would be nice to have a hover text with the full 'Table of Contents' at least
Comment 11 Marcel de Rooy 2021-09-29 11:16:52 UTC
(In reply to Nick Clemens from comment #10)

Thanks !

> A few things to mention, not blockers:
> 1 - The DBIC patch includes changes from other bugs, I had to generate my
> own for testing
Yes, sorry for that. But the RM will disregard it anyway and do a fresh DBIx update.

> 2 - Why TINYINT(4) - it seems to be treated as a TINYINT(1) / Boolean?
Tinyint is just a byte. The four positions is display width and actually irrelevant for our templates. But theoretically, you are right :)

> 3 - While it makes display easier, is TOC friendly for translations? It
> would be nice to have a hover text with the full 'Table of Contents' at least

Good point. Will have a look.
Comment 12 Marcel de Rooy 2021-09-29 11:25:17 UTC
Created attachment 125450 [details] [review]
Bug 29093: (QA follow-up) Adding two hover texts

See QA request. Adding TOC hover text to:
- OPAC user page, tab Article requests
- Patron details page, Check out, tab Article requests

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 13 Marcel de Rooy 2021-10-06 11:27:07 UTC
Created attachment 125772 [details] [review]
Bug 29093: Database revision for article_requests.toc_request

Test plan:
Run dbrev or new install.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 14 Marcel de Rooy 2021-10-06 11:27:11 UTC
Created attachment 125773 [details] [review]
Bug 29093: Interface changes

Show the TOC checkbox on OPAC and staff.

Test plan:
Add new article request on OPAC or staff. Tick checkbox.
Verify if TOC is Yes on opac-user or staff patron details.
Check the list view on circ/article-requests.pl.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 15 Marcel de Rooy 2021-10-06 11:27:14 UTC
Created attachment 125774 [details] [review]
Bug 29093: (QA follow-up) Adding two hover texts

See QA request. Adding TOC hover text to:
- OPAC user page, tab Article requests
- Patron details page, Check out, tab Article requests

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 16 Marcel de Rooy 2021-10-06 11:27:18 UTC
Created attachment 125775 [details] [review]
[DO NOT PUSH] DBIx schema changes
Comment 17 Marcel de Rooy 2021-10-06 11:28:13 UTC
Rebased on top of current master including the three pushed AR patch sets of this morning.
Comment 18 Marcel de Rooy 2021-10-06 11:41:31 UTC
One moment please, still having a small issue here
Comment 19 Marcel de Rooy 2021-10-06 12:22:56 UTC
Created attachment 125787 [details] [review]
Bug 29093: Database revision for article_requests.toc_request

Test plan:
Run dbrev or new install.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 20 Marcel de Rooy 2021-10-06 12:23:00 UTC
Created attachment 125788 [details] [review]
Bug 29093: Interface changes

Show the TOC checkbox on OPAC and staff.

Test plan:
Add new article request on OPAC or staff. Tick checkbox.
Verify if TOC is Yes on opac-user or staff patron details.
Check the list view on circ/article-requests.pl.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 21 Marcel de Rooy 2021-10-06 12:23:03 UTC
Created attachment 125789 [details] [review]
Bug 29093: (QA follow-up) Adding two hover texts

See QA request. Adding TOC hover text to:
- OPAC user page, tab Article requests
- Patron details page, Check out, tab Article requests

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 22 Marcel de Rooy 2021-10-06 12:23:07 UTC
Created attachment 125790 [details] [review]
Bug 29093: (follow-up) Fix the all fields empty-warning

We should allow checking the TOC box only.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 23 Marcel de Rooy 2021-10-06 12:23:10 UTC
Created attachment 125791 [details] [review]
Bug 29093: (QA follow-up) Rebasing issue

Bug 27944 added another block for the new stage introduced.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 24 Marcel de Rooy 2021-10-06 12:23:14 UTC
Created attachment 125792 [details] [review]
DBIx schema changes
Comment 25 Jonathan Druart 2021-10-15 09:29:27 UTC
Pushed to master for 21.11, thanks to everybody involved!